import i18n from "@/libs/i18n";
import middleware from "../../middleware";
import middlewareAccountState from "../../middlewareAccountState";
export default [
    {
        path: ":role",
        // path: 'employee',
        component: {
            render(c) {
                return c("router-view");
            },
        },
        meta: {
            middleware: middlewareAccountState,
        },
        children: [
            {
                path: "dashboard",
                name: "dashboard",
                component: () =>
                    import("@/views/pages/employees/dashboard/dashboard.vue"),
                meta: {
                    middleware: [middleware, middlewareAccountState],
                },
            },
            {
                path: "notification",
                name: "notification",
                component: () =>
                    import(
                        "@/views/pages/employees/dashboard/notification.vue"
                    ),
                meta: {
                    middleware: [middleware, middlewareAccountState],
                },
            },
            {
                path: "orders",
                component: {
                    render(c) {
                        return c("router-view");
                    },
                },

                children: [
                    {
                        path: "",
                        name: "orders",
                        component: () =>
                            import("@/views/pages/employees/orders/index.vue"),
                        meta: {
                            middleware: [middleware, middlewareAccountState],
                        },
                    },
                    {
                        path: "list",
                        component: {
                            render(c) {
                                return c("router-view");
                            },
                        },

                        children: [
                            {
                                path: "",
                                name: "orders-list",
                                component: () =>
                                    import(
                                        "@/views/pages/employees/orders/list.vue"
                                    ),
                                meta: {
                                    middleware: [
                                        middleware,
                                        middlewareAccountState,
                                    ],
                                },
                            },
                            {
                                path: ":id",
                                name: "orders-list-details",
                                component: () =>
                                    import(
                                        "@/views/pages/employees/orders/orderDetails.vue"
                                    ),
                                meta: {
                                    middleware: [
                                        middleware,
                                        middlewareAccountState,
                                    ],
                                },
                            },
                        ],
                    },
                    {
                        path: "offers",
                        component: {
                            render(c) {
                                return c("router-view");
                            },
                        },
                        children: [
                            {
                                path: "",
                                name: "orders-offers",
                                component: () =>
                                    import(
                                        "@/views/pages/employees/orders/offers.vue"
                                    ),
                                meta: {
                                    middleware: [
                                        middleware,
                                        middlewareAccountState,
                                    ],
                                },
                            },
                            {
                                path: ":id",
                                name: "orders-offers-details",
                                component: () =>
                                    import(
                                        "@/views/pages/employees/orders/offerDetails.vue"
                                    ),
                                meta: {
                                    middleware: [
                                        middleware,
                                        middlewareAccountState,
                                    ],
                                },
                            },
                        ],
                    },
                ],
            },
            {
                path: "projects",
                component: {
                    render(c) {
                        return c("router-view");
                    },
                },
                children: [
                    {
                        path: "",
                        name: "projects",
                        component: () =>
                            import(
                                "@/views/pages/employees/projects/index.vue"
                            ),
                        meta: {
                            middleware: [middleware, middlewareAccountState],
                        },
                    },
                    {
                        path: ":id",
                        name: "project-details",
                        component: () =>
                            import(
                                "@/views/pages/employees/projects/details.vue"
                            ),
                        meta: {
                            middleware: [middleware, middlewareAccountState],
                        },
                    },
                    {
                        path: "company",
                        component: {
                            render(c) {
                                return c("router-view");
                            },
                        },
                        children: [
                            {
                                path: ":id",
                                name: "project-compaany",
                                component: () =>
                                    import(
                                        "@/views/pages/users/employeesSeekerDetails.vue"
                                    ),
                                meta: {
                                    middleware: [
                                        middleware,
                                        middlewareAccountState,
                                    ],
                                },
                            },
                        ],
                    },
                ],
            },
            {
                path: "financial",
                component: {
                    render(c) {
                        return c("router-view");
                    },
                },

                children: [
                    {
                        path: "",
                        name: "financial",
                        component: () =>
                            import(
                                "@/views/pages/employees/financial/index.vue"
                            ),
                        meta: {
                            middleware: [middleware, middlewareAccountState],
                        },
                    },
                ],
            },
            {
                path: "reviews",
                component: {
                    render(c) {
                        return c("router-view");
                    },
                },

                children: [
                    {
                        path: "",
                        name: "reviews",
                        component: () =>
                            import("@/views/pages/employees/reviews/index.vue"),
                        meta: {
                            middleware: [middleware, middlewareAccountState],
                        },
                    },
                ],
            },
        ],
    },
];
