import Vue from 'vue';
import VueCookies from 'vue-cookies';
import employee from './employee';
import business from './business';
import auth from './auth';

Vue.use(VueCookies);
const loginData = Vue.$cookies.get('login-data', { parseJSON: true });
let routesList = [];
if (loginData) {
    if (loginData.account_type === 'employee') {
        routesList = employee;
    } else if (loginData.account_type === 'business') {
        routesList = business;
    }
}

export default [
    ...auth,
    ...routesList,
];
