export default {
  async loadBusinessFinancial({ commit }, data) {
    commit('loadingStart', null);
    await this._vm.$http
      .get(
        `business/financial?page=${data.page}&per_page=${data.per_page}&status=${data.status}&industry_preference=${data.industry_preference}&order_by=${data.order_by}&search=${data.search}`
      )
      .then((respo) => {
        if (respo.status === 200) {
          commit('setBusinessFinancial', respo.data.data);
          commit('loadingFinish');
        }
      })
      .catch((error) => {
        commit('loadingFinish');
        throw error;
      });
  },
  async loadBusinessFinancialDetails({ commit }, applicantsId) {
    commit('loadingStart', null);
    await this._vm.$http
      .get(`business/financial/${applicantsId}`)
      .then((respo) => {
        if (respo.status === 200) {
          commit('setBusinessFinancialDetails', respo.data.data.content);
          commit('loadingFinish');
        }
      })
      .catch((error) => {
        commit('loadingFinish');
        throw error;
      });
  },
};
