export default {
    async loadBusinessOffers({ commit }, data) {
        commit("loadingStart", null);
        await this._vm.$http
            .get(
                `business/offers?page=${data.page}&per_page=${data.per_page}&projects=${data.projects}&status=${data.status}&order_by=${data.order_by}&search=${data.search}`
            )
            .then((respo) => {
                if (respo.status === 200) {
                    commit("setBusinessOffers", respo.data.data);
                    commit("loadingFinish");
                }
            })
            .catch((error) => {
                commit("loadingFinish");
                throw error;
            });
    },
    async loadBusinessOffersDetails({ commit }, applicantsId) {
        commit("loadingStart", null);
        await this._vm.$http
            .get(`business/offers/${applicantsId}`)
            .then((respo) => {
                if (respo.status === 200) {
                    commit("setBusinessOfferDetails", respo.data.data.content);
                    commit("loadingFinish");
                }
            })
            .catch((error) => {
                commit("loadingFinish");
                throw error;
            });
    },
    async agreedOffer({ commit }, applicantsId) {
        commit("loadingStart", null);
        await this._vm.$http
            .put(`business/offers/${applicantsId}/agreed`)
            .then((respo) => {
                if (respo.status === 200) {
                    commit("successMessage", "offer_agreed_successfully");
                    commit("loadingFinish");
                }
            })
            .catch((error) => {
                commit("loadingFinish");
                throw error;
            });
    },
    async rejectedOffer({ commit }, applicantsId) {
        commit("loadingStart", null);
        await this._vm.$http
            .put(`business/offers/${applicantsId}/rejected`)
            .then((respo) => {
                if (respo.status === 200) {
                    commit("successMessage", "offer_rejected_successfully");
                    commit("loadingFinish");
                }
            })
            .catch((error) => {
                commit("loadingFinish");
                throw error;
            });
    },
};
