export default {
    async loadOffers({ commit }, data) {
        commit('loadingStart', null);
        await this._vm.$http
            .get(
                `employees/offers?page=${data.page}&per_page=${data.per_page}&gender=${data.gender}&experience=${data.experience}&original_skill=${data.original_skill}&other_skills=${data.other_skills}&job=${data.job}&order_by=${data.order_by}&search=${data.search}`
            )
            .then((respo) => {
                if (respo.status === 200) {
                    commit('setOffers', respo.data.data);
                    commit('loadingFinish');
                }
            })
            .catch((error) => {
                commit('loadingFinish');
                throw error;
            });
    },
    async loadOffersDetails({ commit }, applicantsId) {
        commit('loadingStart', null);
        await this._vm.$http
            .get(`employees/offers/${applicantsId}`)
            .then((respo) => {
                if (respo.status === 200) {
                    commit('setOfferDetails', respo.data.data.content);
                    commit('loadingFinish');
                }
            })
            .catch((error) => {
                commit('loadingFinish');
                throw error;
            });
    },
    async addOffer({ commit }, data) {
        commit("loadingStart", null);
        await this._vm.$http
          .post(`employees/offers`, data)
          .then((respo) => {
            if (respo.status === 200) {
                commit('successMessage', 'offer_saved_successfully');
              commit("loadingFinish");
            }
          })
          .catch((error) => {
            commit("loadingFinish");
            throw error;
          });
      },
};
