export default {
    async loadOrders({ commit }, data) {
        commit("loadingStart", null);
        await this._vm.$http
            .get(
                `employees/projects?page=${data.page}&per_page=${data.per_page}&status=${data.status}&tag=${data.tag}&industry_preference=${data.industry_preference}&order_by=${data.order_by}&search=${data.search}`
            )
            .then((respo) => {
                if (respo.status === 200) {
                    commit("setOrders", respo.data.data);
                    commit("loadingFinish");
                }
            })
            .catch((error) => {
                commit("loadingFinish");
                throw error;
            });
    },

    async loadOrdersDetails({ commit }, applicantsId) {
        commit("loadingStart", null);
        await this._vm.$http
            .get(`employees/projects/${applicantsId}`)
            .then((respo) => {
                if (respo.status === 200) {
                    commit("setOrderDetails", respo.data.data.content);
                    commit("loadingFinish");
                }
            })
            .catch((error) => {
                commit("loadingFinish");
                throw error;
            });
    },
    async changeOrdersByEmployeesStatus({ commit }, data) {
        commit("loadingStart", null);
        await this._vm.$http
            .put(`employees/projects/${data.id}/status`, data)
            .then((respo) => {
                if (respo.status === 200) {
                    if (respo.data.data) {
                        commit("setOrderDetails", respo.data.data.content);
                    }
                    commit("successMessage", "change_status_successfully");
                    commit("loadingFinish");
                }
            })
            .catch((error) => {
                commit("loadingFinish");
                throw error;
            });
    },

    async projectRating({ commit }, data) {
        commit("loadingStart", null);
        await this._vm.$http
            .post(`employees/projects/rating`, data)
            .then((respo) => {
                if (respo.status === 200) {
                    commit("successMessage", "project_rating_successfully");
                    commit("loadingFinish");
                }
            })
            .catch((error) => {
                commit("loadingFinish");
                throw error;
            });
    },
};
