import Vue from "vue";
import Vuex from "vuex";

// Modules
import auth from "./auth";
import profile from "./profile";
import orders from "./employees/orders";
import offers from "./employees/offers";
import financial from "./employees/financial";
import employeeReviews from "./employees/reviews";
import ordersBusiness from "./business/orders";
import offersBusiness from "./business/offers";
import financialBusiness from "./business/financial";
import projectsReviews from "./business/reviews";
import users from "./users";
import utilities from "./utilities";
import app from "./app";
import appConfig from "./app-config";
import verticalMenu from "./vertical-menu";

Vue.use(Vuex);

export default new Vuex.Store({
    modules: {
        app,
        appConfig,
        verticalMenu,
        auth,
        profile,
        orders,
        offers,
        financial,
        employeeReviews,
        ordersBusiness,
        offersBusiness,
        financialBusiness,
        projectsReviews,
        users,
        utilities,
    },
    strict: process.env.DEV,
});
