export default {
    async loadEmployeesDetails({ commit }, applicantsId) {
        commit("loadingStart", null);
        await this._vm.$http
            .get(`business/employees/${applicantsId}`)
            .then((respo) => {
                if (respo.status === 200) {
                    commit("setEmployeeDetails", respo.data.data.content);
                    commit("loadingFinish");
                }
            })
            .catch((error) => {
                commit("loadingFinish");
                throw error;
            });
    },
    async loadCompaniesDetails({ commit }, applicantsId) {
        commit('loadingStart', null);
        await this._vm.$http
          .get(`employees/company/${applicantsId}`)
          .then((respo) => {
            if (respo.status === 200) {
              commit('setCompanyDetails', respo.data.data.content);
              commit('loadingFinish');
            }
          })
          .catch((error) => {
            commit('loadingFinish');
            throw error;
          });
      },
    async employeeRating({ commit }, data) {
        commit("loadingStart", null);
        await this._vm.$http
            .post(`business/employees/rating`, data)
            .then((respo) => {
                if (respo.status === 200) {
                    commit("setEmployeeDetails", respo.data.data.content);
                    commit("successMessage", "employees_rating_successfully");
                    commit("loadingFinish");
                }
            })
            .catch((error) => {
                commit("loadingFinish");
                throw error;
            });
    },
};
